/**
 * Models a standard bank account
 * 
 * @author Luis F. G. Sarmenta, Ph.D.
 * @version 20040729.1518
 */
public class BankAccount
{
    private String accountName;
    private double balance = 0;
    
    public BankAccount( String initAccountName, double initBalance )
    {
        this.accountName = initAccountName;
        this.balance = initBalance;
    }
    
    public BankAccount( String initAccountName )
    {
        this.accountName = initAccountName;
        this.balance = 0;
    }
    
    public void deposit(double amount)
    {
        this.balance += amount;
    }
    
    public void withdraw(double amount)
    {
        this.balance -= amount;
    }
    
    public double getBalance()
    {
        return this.balance;
    }
    
    public String getAccountName()
    {
        return this.accountName;
    }
    
    public String toString()
    {
        return "Account of: " + this.getAccountName() + ", "
             + " Balance: " + this.getBalance();
    }
}
